/**
 * Deze klasse is de enige klasse die rechtstreeks door de Client wordt aangesproken: hier wordt dan ook geregeld 
 * welke games er momenteel moeten gestart worden of beschikbaar zijn. 
 * 
 * @author CWA03
 */
package goldeneye.server;

import java.util.ArrayList;
import goldeneye.server.game.*;
import goldeneye.server.profile.*;
import java.util.HashMap;

public class Server {
	private Game games;
	private ArrayList profiles;
	private HashMap endGameMap;

	public Server() {
		games = new Game(this);
		endGameMap = new HashMap();
		//profiles = new ArrayList();
	}
	
	/**
	 * een gebruiker wil inloggen --> voorlopig identificatie via "username"
	 */
	public void login(String username, String password) throws ServerException {
		try {
			Profile newProfile = Profile.newProfile(username, password);
			profiles.add(newProfile);
		} catch (ProfileException e) {
			System.out.println(e.toString());
			throw new ServerException("error - login mislukt!");
		}
	}
	
	/** 
	 * maakt een nieuw spel.
	 * 
	 * @param misterX	de misterX van het nieuwe spel
	 * @param detectives 	de spelers die detectives zijn in het nieuwe spel 
	 */
	private void startGame(){
		
	}
	
	/**
	 * geeft alle spellen terug die op de server draaien
	 * 
	 * @return de spellen op deze server
	 */
	public Game createGame() {
		games = new Game(this);
		return games;
	}

	/**
	 * voegt een spelel toe aan een bepaald spel
	 * 
	 * @param game
	 * @param player
	 * @return true als de speler aan het spel kon toegevoegd worden
	 */
	private boolean joinGame(Game game, Player player) {
		//game.addPlayer(player);
		return true;
	}
	
	/**
	 * deze methode voegt de speler toe aan het spel.
	 * 
	 * 
	 * @return de ID van het spel waaraan hij wordt toegevoegd.
	 */
	public int join(String username) {
		return 0;
		// methode om te bekijken welke spellen er zijn + aan welk spel de speler kan deelnemen
	}
	
	public String join2(String username, Integer id, String strLastName) {
		return username+strLastName+id.toString();
		// methode om te bekijken welke spellen er zijn + aan welk spel de speler kan deelnemen
	}

	public Game getGame(Integer intId) {
		return games;
	}

	public void checkGame(Integer intId) {
		if (games == null) {
			games = new Game(this);
		}
	}
	
	public void destroyGame (String msg, String id) {
		games = null;
		endGameMap.put("endgame", new Object[]{msg, id});
	}
	
	public boolean gameBusy () {
		return ! (games == null);
	}
	
	public HashMap getEndGameMap () {
		return endGameMap;
	}
}
