package goldeneye.server.datamanager;

/**
 * interface die methodes bevat om data uit de verschillende connector op te halen
 * alsook te opdaten. 
 *  
 * @author CWA03
 */

abstract class Connector {
	// VELDEN
	private int refreshTime;
	
	// CONSTRUCTOR
	/**
	 * constructor
	 * 
	 * @param refreshTime	duur tot de gegevens in de database moeten geupdate worden
	 */
	Connector(int refreshTime) {
		this.refreshTime = refreshTime;
	}
	
	// METHODEN
	
	/**
	 * haalt de informatie op in de vorm van een ArrayList die alle informatie bevat
	 * 
	 * @return	boolean		true als de gegevens succesvol werden geupdate
	 */
	abstract public boolean update(DataManager dm);
	
	/**
	 * haalt de duur op die aangeeft wanneer de database moet geupdate worden
	 * 
	 * @return int	refreshTime
	 */
	public int getRefreshTime() {
		return refreshTime;
	}
}