package goldeneye.server.datamanager;

/**
 * superklasse die alle communicatie met 'De Lijn' regelt voor het ophalen van de 
 * bushaltes, buslijnen en bustrajecten
 * 
 * @author s0169534
 */

// IMPORT-STATEMENTS
import java.net.*;
import java.io.*;

abstract public class DeLijnConnector extends Connector{
	// VELDEN
	static private String URL = "212.123.2.74";
	final int HTTP_PORT = 80;
	
	// CONSTRUCTOR
	public DeLijnConnector(int refreshTime) {
		super(refreshTime);
	}
	
	// METHODEN
	
	/**
	 * Deze methode zorgt ervoor dat informatie van de site van DeLijn kan gehaalt worden
	 * 
	 * @param	path			path naar de pagina op DeLijn site
	 * @return	StringBuffer	bevat de gevraagde pagina
	 */
	public StringBuffer getPage(String path) {
		StringBuffer pagina = null;
		
		try {
			Socket socket = new Socket(URL, HTTP_PORT);

			BufferedWriter out = new BufferedWriter(new OutputStreamWriter(socket.getOutputStream()));
			BufferedReader in = new BufferedReader(new InputStreamReader(socket.getInputStream()));
			out.write("GET " + path + " HTTP/1.0\n\n");
			out.flush();

			String line;
			pagina = new StringBuffer();
			while((line = in.readLine()) != null) {
				pagina.append(line);
			}
			
			out.close();
			in.close();
		} catch (Exception e) {
			System.out.println("DeLijnConnector - Probleem bij het ophalen van pagina - " + e.toString());
		}
		
		return pagina;
	}
}
