package goldeneye.server.game;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;

public class ClientStub {
	
	private HashMap<String, ArrayList> lstChanges;
	private Date timeLastConnection;
	
	public ClientStub () {
		lstChanges = new HashMap<String, ArrayList>();
		timeLastConnection = new Date();
	}
	
	public HashMap getChanges () {
		HashMap tmp = (HashMap) lstChanges.clone();
		lstChanges.clear();
		return tmp;
	}
	
	public boolean addChanges (String key, Object[] data) {
		if(!lstChanges.containsKey(key)) {
			lstChanges.put(key, new ArrayList());
		}
		
		try {
			if(data != null) {
				ArrayList objArrayListData = (ArrayList) lstChanges.get(key);
				objArrayListData.add(data);			
			}
			return true;
		}catch (Exception e) {
			System.out.println(e);
			return false;
		}
	}
	
	public boolean updateLastConnection() {
		try {
			timeLastConnection = new Date();
			return true;
		} catch (Exception e) {
			return false;
		}
	}
	
	public Date getLastConnection()
	{
		return timeLastConnection;
	}

	public void clearChanges() {
		lstChanges.clear();
	}

}
