package goldeneye.server.game; 

/**
 * Deze klasse is een representatie van de Google-coordinaten die veelvuldig gebruikt worden
 * 
 * @author CWA03
 */
public class Coordinate {

	private double longitude;
	private double latitude;

	/**
	 * constructor 
	 * @param longitude		de huidige longitude in de google-conventie
	 * @param latitude		de huidige latitude in de google-conventie
	 */
	public Coordinate(double latitude, double longitude) {
		this.longitude = longitude;
		this.latitude = latitude;
	}
	/** 
	 * accessor-functie voor de longitude
	 * @return geeft de longitude terug
	 */
	public double getLongitude() {
		return longitude;
	}

	/** 
	 * setter-functie voor de longitude
	 * @param newLongitude de nieuwe longitude
	 */
	public void setLongitude(double newLongitude) {
		longitude = newLongitude;
	}


	/** 
	 * getter-functie voor de latitude
	 * @return  geeft de latitude terug
	 */
	public double getLatitude() {
		return latitude;
	}

	/** 
	 * setter-functie voor de latitude
	 * @param newLatitude de nieuwe latitude
	 */
	public void setLatitude(double newLatitude) {
		latitude = newLatitude;
	}

	/**
	 * omzetting naar de googlecoordinaten
	 * 
	 * @param p_latitude
	 * @param p_longitude
	 * @return Coordinate	object dat de google-coordinaten bevat
	 */
}
