package goldeneye.server.game;

import java.util.ArrayList;

/** 
 * De klasse Player spel een speler in het spel voor. Dit kan een Detective of MisterX zijn.
 * 
 * 
 * @author CWA03
 */

public class Player extends Person {

	private boolean blnReady;
	private ArrayList items; // dit kan ook geld zijn!!
    private String color;
    private ClientStub objClientStub;
	
	/**
	 * constructor
	 * 
	 * @param name	naam van de speler
	 * @param position positie van de speler
	 */
	public Player(String name, String position, String c)
	{
		super(name, position);
		objClientStub = new ClientStub();
		items = new ArrayList();
        color = c;
	}

	/**
	 * getter-functie voor alle items die de speler in bezit heeft
	 * @return  geeft alle items terug die de client bezit
	 */
	public ArrayList getItems() {
		return items;
	}

	/**
	 * Een item wordt opgenomen door de speler
	 * @param Item  de item die je aan de speler wil toevoegen
	 */
	public void addItem(Item item) {
		items.add(item);
	}
	
	/**
	 * Een item verwijderen die de speler bezit
	 * 
	 * @return true als het item kon verwijderd worden
	 * @param item	item die je wil verwijderen
	 */
	public boolean removeItem(Item item) {
		return items.remove(item);
	}
	
	/**
	 * het aantal items dat een speler bezit
	 * 
	 * @return geeft het aantal items terug dat de speler bezit
	 */
	public int numberOfItems() {
		return items.size();
	}
    
    public String getColor () {
        return color;
    }
    
    public void setColor (String c) {
        color = c;
    }
    
    public void setReady() {
    	blnReady = true;
    }
    
    public boolean isReady() {
    	return blnReady;
    }

	public ClientStub getClientStub() {
		return objClientStub;
	}
}
