package goldeneye.server.game;

import java.util.Date;

public class TimerThread extends Thread 
{
	private Game mygame;
	private Player player;
	
	public TimerThread(Game mygame, Player player)
	{
		super();
		this.mygame = mygame;
		this.player = player;
	}
	
	public void run() {
		ClientStub stub = player.getClientStub();
		
		boolean imStillHere = true;
		float time = 0;
		
		while(imStillHere && time < 70) {
			if (mygame.getTimerThreadContinue()) 
			{
				if (time == 10 || time == 20 || time == 30 || time == 40 || time==50 || time==60) {
					System.out.println("Already waiting " + time + " seconds for player " + player.getName());
				}
				
				Date now = new Date();
				Date lastPoll = stub.getLastConnection();
				if ((now.getTime() - lastPoll.getTime()) > 15000) {		// 15 secs niet meer pollen = vette pech
					imStillHere = false;
					System.out.println("Player " + player.getName() + " timed out. (last poll was " + (now.getTime() - lastPoll.getTime())/1000 + " seconds ago)");
					break;
				}
				try {													// 5 seconden wachten
					sleep(500);
				} catch (InterruptedException e) {
					// TODO Auto-generated catch block
					//e.printStackTrace();
				}
				time += 0.5;
			} else {
				break;
			}
		}
		
		if (mygame.getTimerThreadContinue()) {
			mygame.setTimerThreadContinue(false);
			mygame.endMove(null); 
		}
	}
	
	/*public void run()
	{
		int e = 0;
		while(e < 70)
		{
			e++;
			try {
				sleep(1000);
			} catch (InterruptedException e1) {
				// TODO Auto-generated catch block
				e1.printStackTrace();
			}
		}
		mygame.endMove();
	}*/
}
