package goldeneye.server.profile;

import goldeneye.server.profile.ProfileException;


/** 
 * Dit is een abstracte weergave van het login-systeem. Gebruikers zullen niet moeten 
 * registreren om het spel te kunnen spelen, maar zij die daartoe verkiezen kunnen zich 
 * registreren om hun spelersnaam en scores te behouden. Deze component kijkt de 
 * mogelijke paswoord/username combinatie na en geeft daarna de melding aan de server 
 * dat er zich een nieuwe speler heeft aangemeld.
 * 
 * @author CWA03
 */

public class Profile {
	private String username;
	private String password;
	//private DataManager dbm;
	private static int numberAnonymousUsers = 1;
	
/**
 * wanneer de gebruiker zich aanmeldt moet hij een gebruikersnaam en password opgeven.
 * als de gebruiker geen gebruikersnaam of password leeg zijn, kan je anoniem aan het spel 
 * deelnemen, maar worden er geen statistieken bijgehouden.
 * @param newUsername
 * @param newPassword
 */
	public static Profile newProfile (String newUsername, String newPassword) throws ProfileException {
		Profile newProfile;
		
		if (! checkUsername(newUsername)) {
			registerNewUser(newUsername, newPassword);
			newProfile = new Profile(newUsername, newPassword);
		} else {
			newProfile = null;
			throw new ProfileException("Username bestaat al!");
		}
		
		return newProfile;
	}
	
	public static Profile LoadProfile(String username, String password) throws ProfileException {
		Profile newProfile;
		
		if (checkUsername(username)) {
			if (checkPassword(username, password)) {
				newProfile = new Profile(username, password);
			} else {
				newProfile = null;
				throw new ProfileException("Password is verkeerd!");
			}
		} else {
			newProfile = null;
			throw new ProfileException("Username bestaat niet!");
		}
		return newProfile;
	}
	
	private Profile(String newUsername, String newPassword)	{
		username = newUsername;
		password = newPassword;
	}
	
	public String getUsername() {
		return username;
	}
	
	private static boolean checkPassword(String username, String password) {
		return false;
	}
	
	private static boolean checkUsername(String username) {
		return false;
	}	
	
	private static void registerNewUser (String newUsername, String newPassword) {
		
	}
	
//	private Profile(){
//		
//	}
}
